Skip to content
Start here

Create trusted email domain

client.emailSecurity.settings.trustedDomains.create(TrustedDomainCreateParams { account_id, is_recent, is_regex, 3 more } params, RequestOptionsoptions?): TrustedDomainCreateResponse { id, comments, created_at, 6 more }
POST/accounts/{account_id}/email-security/settings/trusted_domains

Creates a new trusted domain pattern. Use for partner domains or approved senders that should bypass recent domain registration and similarity checks. Configure whether it prevents recent domain or spoof dispositions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
ParametersExpand Collapse
params: TrustedDomainCreateParams { account_id, is_recent, is_regex, 3 more }
account_id: string

Path param: Identifier.

maxLength32
is_recent: boolean

Body param: Select to prevent recently registered domains from triggering a Suspicious or Malicious disposition.

is_regex: boolean

Body param

is_similarity: boolean

Body param: Select for partner or other approved domains that have similar spelling to your connected domains. Prevents listed domains from triggering a Spoof disposition.

pattern: string

Body param

maxLength1024
minLength1
comments?: string | null

Body param

maxLength1024
ReturnsExpand Collapse
TrustedDomainCreateResponse { id, comments, created_at, 6 more }

A trusted email domain

id?: string

Trusted domain identifier

formatuuid
comments?: string | null
maxLength1024
created_at?: string
formatdate-time
is_recent?: boolean

Select to prevent recently registered domains from triggering a Suspicious or Malicious disposition.

is_regex?: boolean
is_similarity?: boolean

Select for partner or other approved domains that have similar spelling to your connected domains. Prevents listed domains from triggering a Spoof disposition.

Deprecatedlast_modified?: string

Deprecated, use modified_at instead. End of life: November 1, 2026.

formatdate-time
modified_at?: string
formatdate-time
pattern?: string
maxLength1024
minLength1

Create trusted email domain

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const trustedDomain = await client.emailSecurity.settings.trustedDomains.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  is_recent: true,
  is_regex: false,
  is_similarity: false,
  pattern: 'example.com',
});

console.log(trustedDomain.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "comments": "Trusted partner domain",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "is_recent": true,
    "is_regex": false,
    "is_similarity": false,
    "last_modified": "2014-01-01T05:20:00.12345Z",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "pattern": "example.com"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "comments": "Trusted partner domain",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "is_recent": true,
    "is_regex": false,
    "is_similarity": false,
    "last_modified": "2014-01-01T05:20:00.12345Z",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "pattern": "example.com"
  }
}